package rpgEngine.UI;

import java.awt.Graphics;
import java.awt.event.KeyEvent;

public abstract class GenericDialog {
	
	public abstract void drawDialogCenteredAt(Graphics g, int x, int y);
	
	public abstract void processKeyEvent(KeyEvent e);
	
	public abstract Integer getResult();
	
	public abstract Boolean isProcessed();
	
}
